%if 0%{?fedora}
%global servlet_api jboss-servlet-3.1-api
%else
%global servlet_api tomcat-servlet-3.0-api
%endif

%global make_common_opts \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATA_DIR=%{_datadir} \\\
	PKG_DATA_DIR=%{_datadir}/%{name} \\\
	%{nil}
Name:		ovirt-engine-extension-aaa-misc
Version:	1.0.5
Release:	0.0.master%{?release_suffix}%{?dist}
License:	ASL 2.0
Summary:	oVirt Script Engine Gateway Extension
Group:		Virtualization/Management
URL:		http://www.ovirt.org
BuildArch:	noarch
Source:		http://resources.ovirt.org/pub/src/%{name}/%{name}-1.0.5_master.tar.gz

BuildRequires:	java-1.8.0-openjdk-devel >= 1.8.0
BuildRequires:	ant
BuildRequires:	javapackages-tools
BuildRequires:	ovirt-engine-extensions-api
BuildRequires:	slf4j >= 1.7
BuildRequires:	%{servlet_api}

Requires:	ovirt-engine >= 3.5

%description
Misc aaa extension for oVirt engine.

%prep
%setup -c -q

%build
cat > build.properties << __EOF__
package.display.name=%{name}-%{version}-%{release}
jar.slf4j-api=$(build-classpath slf4j/slf4j-api.jar)
jar.servlet-api=$(build-classpath %{servlet_api})
jar.ovirt-engine-extensions-api=$(build-classpath ovirt-engine/ovirt-engine-extensions-api)
__EOF__

make %{make_common_opts} all

%install
rm -fr "%{buildroot}"
make %{make_common_opts} install-no-build DESTDIR="%{buildroot}"

%files
%doc README*
%{_datadir}/%{name}/
%{_sysconfdir}/ovirt-engine/engine.conf.d/50-%{name}.conf

%changelog
* Tue Jan 28 2020 Martin Perina <mperina@redhat.com> 1.0.4-1
- Add AuthzExtension to get information from headers - truly added

* Wed Jun 26 2019 Martin Perina <mperina@redhat.com> 1.0.3-1
- Fix FC29 and remove support for EL6

* Fri Nov 23 2018 Martin Perina <mperina@redhat.com> 1.0.2-1
- Add AuthzExtension to get information from headers
- Fixed Fedora packaging
- Switched to oVirt STDCIv2

* Tue May 24 2016 Martin Perina <mperina@redhat.com> 1.0.1-1
- Fixed various build issues
- Fixed documentation typos and issues

* Mon Dec 1 2014 Alon Bar-Lev <alonbl@redhat.com> 1.0.0-1
- Initial.
